#/****************************************************************************
#**  SIONLIB     http://www.fz-juelich.de/jsc/sionlib                       **
#*****************************************************************************
#**  Copyright (c) 2008-2009                                                **
#**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
#**                                                                         **
#**  See the file COPYRIGHT in the package base directory for details       **
#****************************************************************************/
INSTDIR=../install/sionlib_bgp

LIBNAME = sionfe
LIBSERNAME = sionserfe
SIONARCH=_LINUX

### Will run only on the login nodes!!
LARGEFILE=-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D__USE_LARGEFILE64 -D__USE_FILE_OFFSET64

F90                     = xlf90
FFLAGS                  = -qfree=F90 -q64
F90NOOPT                = -O0
F90LOADER               = $(F90) 
F90_MPI                 = mpxlf90
F90MPI_LOADER   	= $(F90_MPI)

CC                      = xlc
CFLAGS                  = -D$(ARCH) $(LARGEFILE) -q32
CCLOADER                = $(CC)
CC_MPI                  = mpcc 
CCMPI_LOADER            = $(CC_MPI) 
CPP                     = /usr/bin/cpp -P -C
CPPFLAGS                = -D$(SIONARCH) $(LARGEFILE)

# Libraries
# --------
MPI_FLAGS		= -DSION_MPI
MPI_LIBS                = -q32
# lin alg

# LowLevel
# --------
LOWLEVEL_LIBS   = -L$(BENCH)/lib -lLow_Level

